Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.scheduling.quartz
Class ResourceLoaderClassLoadHelper

    java.lang.Object
      org.springframework.scheduling.quartz.ResourceLoaderClassLoadHelper

All Implemented Interfaces:
  ClassLoadHelper

    public class ResourceLoaderClassLoadHelper

extends Object
implements ClassLoadHelper

Wrapper that adapts from the Quartz `ClassLoadHelper` interface onto Spring's `ResourceLoader` interface. Used by default when the SchedulerFactoryBean runs in a Spring ApplicationContext.

Since:
  2.5.5
Author:
  Juergen Hoeller
See Also:
  `SchedulerFactoryBean.setApplicationContext(org.springframework.context.ApplicationContext)`

Field Summary
`protected static Log` | `logger`

Constructor Summary
`ResourceLoaderClassLoadHelper()` Create a new ResourceLoaderClassLoadHelper for the default ResourceLoader.
`ResourceLoaderClassLoadHelper(ResourceLoader resourceLoader)` Create a new ResourceLoaderClassLoadHelper for the given ResourceLoader.

Method Summary
`ClassLoader` | `getClassLoader()`
`URL` | `getResource(String name)`
`InputStream` | `getResourceAsStream(String name)`
`void` | `initialize()`
`Class` | `loadClass(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final Log logger

Constructor Detail

### ResourceLoaderClassLoadHelper

    public ResourceLoaderClassLoadHelper()

  Create a new ResourceLoaderClassLoadHelper for the default ResourceLoader.

  See Also:
    `SchedulerFactoryBean.getConfigTimeResourceLoader()`

### ResourceLoaderClassLoadHelper

    public ResourceLoaderClassLoadHelper(ResourceLoader resourceLoader)

  Create a new ResourceLoaderClassLoadHelper for the given ResourceLoader.

  Parameters:
    `resourceLoader` - the ResourceLoader to delegate to

Method Detail

### initialize

    public void initialize()

  Specified by:
    `initialize` in interface `ClassLoadHelper`

### loadClass

    public Class loadClass(String name)
                    throws ClassNotFoundException

  Specified by:
    `loadClass` in interface `ClassLoadHelper`
  Throws:
    `ClassNotFoundException`

### getResource

    public URL getResource(String name)

  Specified by:
    `getResource` in interface `ClassLoadHelper`

### getResourceAsStream

    public InputStream getResourceAsStream(String name)

  Specified by:
    `getResourceAsStream` in interface `ClassLoadHelper`

### getClassLoader

    public ClassLoader getClassLoader()

  Specified by:
    `getClassLoader` in interface `ClassLoadHelper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.